function Tnew = solveBoth1stOrder(T1, T2, F)

if abs(T1 - T2) < F
    Tdiff = T1 - T2;
    TdiffSq = Tdiff*Tdiff;
    Tnew = 0.5*(T1 + T2 + sqrt(2*F*F - TdiffSq));
else
    Tnew = min(T1, T2) + F;
end 
